Package org.apache.torque.om

## Class BooleanKey

- java.lang.Object
- - org.apache.torque.om.ObjectKey<T>
  - - org.apache.torque.om.SimpleKey<Boolean>
    - - org.apache.torque.om.BooleanKey

- All Implemented Interfaces:
    `Serializable`, `Comparable<Object>`

      public class BooleanKey
      extends SimpleKey<Boolean>

  This class can be used as an ObjectKey to uniquely identify an object within an application where the id consists of a Boolean.
  Version:
    $Id: BooleanKey.java 1849379 2018-12-20 12:33:43Z tv $
  Author:
    John McNally
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanKey()` | Initializes the internal key value to `null`.
    `BooleanKey​(Boolean key)` | Creates an BooleanKey and set its internal representation
    `BooleanKey​(String key)` | Creates an BooleanKey and set its internal representation
    `BooleanKey​(BooleanKey key)` | Creates a BooleanKey that is equivalent to key.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getJdbcType()` | Returns the JDBC type of the key as defined in `java.sql.Types`.
    `void` | `setValue​(String key)` | Sets the internal representation to a String.

    - ### Methods inherited from class org.apache.torque.om.SimpleKey

      `keyFor, keyFor, keyFor, keyFor, keyFor, keyFor, keyFor, keyFor, keyFor, keyFor, keyFor`

    - ### Methods inherited from class org.apache.torque.om.ObjectKey

      `appendTo, compareTo, equals, getValue, hashCode, setValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanKey

          public BooleanKey()

      Initializes the internal key value to `null`.

    - #### BooleanKey

          public BooleanKey​(String key)

      Creates an BooleanKey and set its internal representation
      Parameters:
        `key` - the key value as String

    - #### BooleanKey

          public BooleanKey​(Boolean key)

      Creates an BooleanKey and set its internal representation
      Parameters:
        `key` - the key value

    - #### BooleanKey

          public BooleanKey​(BooleanKey key)

      Creates a BooleanKey that is equivalent to key.
      Parameters:
        `key` - the key value

  - ### Method Detail

    - #### setValue

          public void setValue​(String key)

      Sets the internal representation to a String.
      Parameters:
        `key` - the key value

    - #### getJdbcType

          public int getJdbcType()

      Returns the JDBC type of the key as defined in `java.sql.Types`.
      Specified by:
        `getJdbcType` in class `ObjectKey<Boolean>`
      Returns:
        `Types.BIT`.